# Command: xifstream

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    xifstream - Create an executable input-stream.

Synopsis:

    (filename) xifstream -> file true
      -> false

Description:

    xifstream first tries to open a file
      by the given name. If this was successful, it creates
      an executable stream-handle.
      If an executable stream is executed (e.g. with exec),
      the interpreter parses this file according to SLI syntax
      and evaluates all contained objects.

SeeAlso:

- run

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/sli/sli_io.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative